Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008121 [DCSS] Patches minor have not tried 2014-02-09 01:28 2014-02-18 08:50
Reporter 78291 View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.14 ancient branch
Summary 0008121: New summon spells; summoner book changes
Description Adds three new spells: summon forest, summon lightning spire, summon guardian golem.

Summon Forest summons a dryad and temporarily changes nearby terrain to trees and water. Appears in book of the warp.
Summon guardian golem creates an ally with injury bond that can explode on death.
Summon lightning spire does what the name says. Both appear in the book of calling, replacing summon scorpions.
Additional Information
Tags No tags attached.
Attached Files ? file icon summoner.patch [^] (26,118 bytes) 2014-02-09 01:28 [Show Content]

- Relationships

-  Notes
(0025275)
MarvinPA (developer)
2014-02-10 22:06

Pushed these to summon_spells. I'm not really sure how well Guardian Golem will work out, but I haven't tested it very much yet.
(0025339)
MarvinPA (developer)
2014-02-18 08:50

Merged into master, might still need some tweaking but they seem to play pretty well.

- Issue History
Date Modified Username Field Change
2014-02-09 01:28 78291 New Issue
2014-02-09 01:28 78291 File Added: summoner.patch
2014-02-09 01:33 MarvinPA Issue Monitored: MarvinPA
2014-02-10 22:06 MarvinPA Note Added: 0025275
2014-02-18 08:50 MarvinPA Note Added: 0025339
2014-02-18 08:50 MarvinPA Status new => resolved
2014-02-18 08:50 MarvinPA Fixed in Branch => 0.14 development branch
2014-02-18 08:50 MarvinPA Resolution open => done
2014-02-18 08:50 MarvinPA Assigned To => MarvinPA
2014-02-26 00:09 MarvinPA Issue End Monitor: MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker